#-*- mode: python; mode: fold -*-
# $Id: getWAeUPSchemas.py 190 2005-11-17 13:18:53Z joachim $

sc_id = { ###(
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': 'SectionReader',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        }
###)

sc_pin = { ###(
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': 'SectionReader',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        }
        
###)

sc_value = { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:0.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        }
###)
sc_date = { ###(
        'type': 'CPS DateTime Field',
        'data': {
            'default_expr': 'python:500.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        }
###)

university_schema = { ###(
}
###)

students_folder_schema = { ###(
}
###)

academics_folder_schema = { ###(
}
###)

student_schema = { ###(
     'jamb_is_admitted': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:False',
            'is_searchabletext': 0,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'faculty': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
        },
    },
    'course': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
             },
        },
    'adm_check_sc_id' : sc_id, 
    'adm_check_sc_pin' : sc_pin, 
    'adm_check_sc_value' : sc_value, 
    'adm_check_date' : {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
        },
    }, 
    'clearance_sc_id' : sc_id, 
    'clearance_sc_pin' : sc_pin, 
    'clearance_sc_value' : sc_value, 
    'clearance_date' : {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
            'acl_write_roles': 'SectionReader',
        },
    }, 
    'accommodation' : { ###(
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
             },
        }, ###)
    'accommodation_sc_id' : sc_id, 
    'accommodation_sc_pin' : sc_pin, 
    'accommodation_sc_value' : sc_value, 
    'accommodation_date' : {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
            'acl_write_roles': 'SectionReader',
        },
    }, 
    'hostel_fee_sc_id' : sc_id, 
    'hostel_fee_sc_pin' : sc_pin, 
    'hostel_fee_sc_value' : sc_value, 
    'hostel_fee_date' : {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
            'acl_write_roles': 'SectionReader',
        },
    }, 
}
###)

student_accommodation = { ###(
    'sc_id': sc_id,
    'sc_pin': sc_pin,
    'sc_value': { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:500.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        },###)
    'accommodation': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
             },
        },
}
###)

student_hostel_fee = { ###(
    'sc_id': sc_id,
    'sc_pin': sc_pin,
    'sc_value': { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:2500.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        },###)
    'accommodation': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
             },
        },
}
###)

student_admission = { ###(
    'sc_id': sc_id,
    'sc_pin': sc_pin,
    'sc_value': { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:300.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        },###)
    'reg_nr': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
}
###)

student_clearance = { ###(
    'sc_id': sc_id,
    'sc_pin': sc_pin,
    'sc_value': { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:800.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        },###)
    'reg_nr': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
    'lastname': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
             },
        },
}###)

study_level = { ###(
    'sc_id': sc_id,
    'sc_pin': sc_pin,
    'sc_value': { ###(
        'type': 'CPS Float Field',
        'data': {
            'default_expr': 'python:1000.',
            'is_searchabletext': True,
            'acl_read_permissions': '',
            'acl_read_roles': '',
            'acl_read_expr': '',
            'acl_write_permissions': '',
            'acl_write_roles': '',
            'acl_write_expr': '',
            'read_ignore_storage': False,
            'read_process_expr': '',
            'read_process_dependent_fields': (),
            'write_ignore_storage': False,
            'write_process_expr': '',
            },
        },###)
}
###)

student_personal_schema = { ###(
     'firstname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
    'middlename': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'lastname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'username': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'email': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'sex': {
        'type': 'CPS Boolean Field',
        'default_expr': 'python:True',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'birthday': {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'age': {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
}
###)

student_eligibility = { ###(
}###)

student_documents = { ###(
     'photo': {
        'type': 'CPS Image Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'birth_certificate': {
        'type': 'CPS Image Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'passport': {
        'type': 'CPS Image Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'results_first': {
        'type': 'CPS Image Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'results_second': {
        'type': 'CPS Image Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
}
###)

student_eligibility = { ###(
    'reg_nr': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
    'jamb_results': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
        },
    },
    'jamb_aggregate': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'faculty': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'course': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'jamb_listing_date': {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'schoolresults': { ###(
        'type': 'CPS List List Field',
        'data': {
            'is_searchabletext': False,
            },
        },###)
}
###)

jamb_schema = { ###(
    'reg_nr': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
    'admission_sc_id': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'admission_sc_pin': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'admission_sc_pin_usage': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': False,
            },
    },
     'firstname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
    'middlename': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
     'lastname': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 1,
        },
    },
    'age': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'python:20',
            'is_searchabletext': False,
        },
    },
    'sex': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:0',
            'is_searchabletext': False,
        },
    },
    'state': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'exam_results': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
        },
    },
    'aggregate': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'faculty': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'course': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'listing_date': {
        'type': 'CPS DateTime Field',
        'data': {
            'is_searchabletext': False,
        },
    },
##    '2nd_choice': { ###(
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': 'string:',
##            'is_searchabletext': False,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
##    '3rd_choice': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': 'string:',
##            'is_searchabletext': True,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
###)
}


###)

course_results_schema = { ###(
     'points': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
     'grade': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': 0,
        },
    },
}
#
###)

faculty_schema = { ###(
}###)

department_schema = { ###(
}###)

course_schema = { ###(
##    'Title': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': '',
##            'is_searchabletext': True,
##        },
##    },
    'heading': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'text': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'level': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
    'code': {
        'type': 'CPS String Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': True,
        },
    },
    'semester': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:True',
            'is_searchabletext': False,
        },
    },
    'credit': {
        'type': 'CPS Int Field',
        'data': {
            'default_expr': 'string:',
            'is_searchabletext': False,
        },
    },
    'core_elective': {
        'type': 'CPS Boolean Field',
        'data': {
            'default_expr': 'python:True',
            'is_searchabletext': False,
        },
    },
}###)

accommodation = { ###(
    'heading': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'text': {
        'type': 'CPS String Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'which_sex': {
        'type': 'CPS Boolean Field',
        'data': {
            'is_searchabletext': True,
        },
    },
    'nr_of_blocks': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'nr_of_floors': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'rooms_per_floor': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'beds_per_room': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'beds_assigned': {
        'type': 'CPS Int Field',
        'data': {
            'is_searchabletext': False,
        },
    },
    'beds_assigned_list': {
        'type': 'CPS String List Field',
        'data': {
            'is_searchabletext': False,
        },
    },
}###)

##scratch_card = { ###(
####   'allow_discussion': {
####        'type': 'CPS Int Field',
####        'data': {
####            'default_expr': 'python:0',
####            'is_searchabletext': 0,
####            },
####        },
##     'sc_id': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': '',
##            'is_searchabletext': 0,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
##     'sc_pin': {
##        'type': 'CPS String Field',
##        'data': {
##            'default_expr': '',
##            'is_searchabletext': 0,
##            'acl_read_permissions': '',
##            'acl_read_roles': '',
##            'acl_read_expr': '',
##            'acl_write_permissions': '',
##            'acl_write_roles': '',
##            'acl_write_expr': '',
##            'read_ignore_storage': False,
##            'read_process_expr': '',
##            'read_process_dependent_fields': (),
##            'write_ignore_storage': False,
##            'write_process_expr': '',
##        },
##    },
##}
###)

schemas = {}

schemas['university'] = university_schema
schemas['academics'] = academics_folder_schema
schemas['students'] = students_folder_schema
schemas['student'] = student_schema
schemas['student_admission'] = student_admission
schemas['student_clearance'] = student_clearance
schemas['student_eligibility'] = student_eligibility
schemas['student_documents'] = student_documents
schemas['student_accommodation'] = student_accommodation
schemas['student_hostel_fee'] = student_hostel_fee
schemas['study_level'] = study_level
schemas['course_results'] = course_results_schema
schemas['student_personal'] = student_personal_schema
schemas['accommodation'] = accommodation
schemas['jamb'] = jamb_schema
#schemas['scratch_card'] = scratch_card
schemas['faculty'] = faculty_schema
schemas['department'] = department_schema
schemas['course'] = course_schema

return schemas
